$(document).ready(function () {

    allVesselSchedule();
    var tableAttachment = $('#tblScheduleAttachment').DataTable({
        responsive: false,
        "scrollX": true,
        "pageLength": 100,
        "order": [],
        "columns": [
            { "data": "factory_po_num" },
            { "data": "eta" },
            { "data": "customer_po" },
            // { "data": "designation" },
            { "data": "cargo_ready_date" },
            { "data": "suggest_vessel" },
            { "data": "suggest_date" },
            { "data": "shipping_rate" },
            { "data": "created_at" },
            { "data": "updated_at" },
            { "data": "action" },
        ],
        columnDefs: [
            { width: 80, targets: 1 },
            { width: 80, targets: 2 },
            { width: 80, targets: 3 },
            { target: 4, visible: false},
        ],
    });
});


function allVesselSchedule() {
    $.ajax({
        type: "GET",
        url: "/sd/vesselSchedule/allSchedule",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                var data = [];
                for (var i = 0; i < result.length; i++) {
                    data.push({
                        "factory_po_num": result[i].factory_order_no,
                        "eta": result[i].eta,
                        "customer_po": result[i].customer_po,
                        "designation": result[i].designation,
                        "cargo_ready_date": result[i].cargo_ready_date,
                        "suggest_vessel": result[i].suggest_vessel,
                        "suggest_date": result[i].suggest_date,
                        "shipping_rate": result[i].shipping_rate,
                        "created_at": result[i].created_at,
                        "updated_at": result[i].updated_at,
                        "action": 'Edit',
                    });
                }
                var table = $('#tblScheduleAttachment').DataTable();
                //table.clear();
                table.rows.add(data).draw();
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}